
package net.mcreator.joeymod.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.network.chat.TextComponent;
import net.minecraft.network.chat.Component;

import net.mcreator.joeymod.init.TheJoeyModModTabs;

import java.util.List;

public class AdvancedWiringItem extends Item {
	public AdvancedWiringItem() {
		super(new Item.Properties().tab(TheJoeyModModTabs.TAB_JOEY_TAB).stacksTo(16).rarity(Rarity.COMMON));
		setRegistryName("advanced_wiring");
	}

	@Override
	public int getUseDuration(ItemStack itemstack) {
		return 0;
	}

	@Override
	public void appendHoverText(ItemStack itemstack, Level world, List<Component> list, TooltipFlag flag) {
		super.appendHoverText(itemstack, world, list, flag);
		list.add(new TextComponent("Combined electrical wiring."));
	}
}
